<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Add department
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}
if (!zero::IsStaffAdmin()) {
	echo "Page cannot be access. Only admin.<br/><a href=\"index.php\">Home</a>";
	exit;
}

zero::StartSession("Add Department");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Department - add department");

if ($pf == "add") {
	zero::IsEmpty("name", $lang['a_empty_name']);
	zero::IsEmpty("description", $lang['a_empty_description']);
	if (zero::IsError())
	  EndScript();
	$department_id = zero::AddDepartment($name, $description);
	zero::Redirect("department_browse.php");
}

$smarty_tpl->assign("page_sub_title", "- Add Department");
zero::DisplayStaff("department_add.tpl");

function EndScript() {
	global $smarty_tpl, $errors;
	global $name, $description, $department_id;

	$smarty_tpl->assign("name", htmlentities($name));
	$smarty_tpl->assign("description", htmlentities($description));
	$smarty_tpl->assign("errors", $errors);
	$smarty_tpl->assign("page_sub_title", "- Add Department");
	zero::DisplayStaff("department_add.tpl");
	exit;
}

?>
