<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Edit article
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Edit Article");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Knowledgebase - edit article");

if (!zero::IsArticleExist($knowledge_ref))
	zero::Redirect("knowledgebase_browse.php");

if ($pf == "update") {
	zero::IsEmpty("subject", $lang['a_empty_subject']);
	zero::IsEmpty("problem", $lang['a_empty_problem']);
	zero::IsEmpty("solution", $lang['a_empty_solution']);
	if (zero::IsError())
	  EndScript();
	zero::UpdateArticle($knowledge_ref, $category, $subject, $problem, $solution, $hidden_words, $hidden_relateds, $is_disabled);
	$smarty_tpl->assign("success", 1);
}
elseif ($pf == "delete_a") {
	zero::DeleteArticleAttachment($attachment_ref);
}
elseif ($pf == "delete_ar") {
	zero::DeleteArticle($knowledge_ref);
	zero::Redirect("knowledgebase_browse.php");
}

$article = zero::GetArticle($knowledge_ref);
ShowData();
$smarty_tpl->assign("page_sub_title", "- Edit Article [{$article['knowledge_ref']}] ( {$article['subject']} )");
zero::DisplayStaff("knowledgebase_article_edit.tpl");

function ShowData() {
	global $smarty_tpl, $knowledge_ref, $article;

  $smarty_tpl->assign("language_options", zero::GetLanguageOptions(1));
	$smarty_tpl->assign("category_options", zero::GetCategoryOptions());
	$smarty_tpl->assign("ori_source", zero::GetArticlePaths());
	$smarty_tpl->assign("hidden_words", zero::GetKeywordsStr($knowledge_ref));
	$smarty_tpl->assign("destination", zero::GetRelatedArticlePaths($knowledge_ref));
	$article['subject'] = htmlentities($article['subject']);
	$article['problem'] = htmlentities($article['problem']);
	$smarty_tpl->assign("article", $article);
	$smarty_tpl->assign("knowledge_ref", $knowledge_ref);
}

function EndScript() {
	global $smarty_tpl, $errors;
	global $subject, $problem, $solution, $hidden_words;
	global $hidden_relateds, $knowledge_ref;

	$article = zero::GetArticle($knowledge_ref);
	$article['subject'] = htmlentities($subject);
	$article['problem'] = htmlentities($problem);
	$article['solution'] = htmlentities($solution);
	$smarty_tpl->assign("article", $article);
  $smarty_tpl->assign("language_options", zero::GetLanguageOptions(1));
	$smarty_tpl->assign("category_options", zero::GetCategoryOptions());
	$smarty_tpl->assign("ori_source", zero::GetArticlePaths());
	$smarty_tpl->assign("hidden_words", $hidden_words);
	$smarty_tpl->assign("destination", zero::GetRelatedArticlePaths($knowledge_ref, $hidden_relateds));
	$smarty_tpl->assign("knowledge_ref", $knowledge_ref);
	$smarty_tpl->assign("errors", $errors);
  $smarty_tpl->assign("page_sub_title", "- Edit Article [{$article['knowledge_ref']}] ( {$article['subject']} )");
	zero::DisplayStaff("knowledgebase_article_edit.tpl");
	exit;
}

?>
