<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Browse users
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Browse User");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 2);
$smarty_tpl->assign("subframe_title", "User - browse users");

if ($pf == "delete") {
	if (isset($user_id)) {
		if (!zero::DeleteUser($user_id)) {
		  $errors[] = "You have no right to delete this user";
		  $smarty_tpl->assign("errors", $errors);
		}
	}
}
elseif ($pf == "toggle") {
  if (isset($user_id)) {
		zero::ToggleDisabledUser($user_id);
  }
}

if (!is_numeric($limit) || empty($limit))
	$limit = 20;

$request = $_SERVER[QUERY_STRING];
$num_users = count(zero::GetUsers($search_words, $order1, $order2));
if (!isset($offset) || $offset < 0 || $offset >= $num_users )
  $offset = 0;
$users = zero::GetUsers($search_words, $order1, $order2, $offset, $limit);
if ($users) {
	if ($order1=="total_tickets" && $order2=="asc")
		usort($users, "SortTicketsAsc");
	elseif ($order1=="total_tickets" && $order2=="desc")
		usort($users, "SortTicketsDesc");
}
$smarty_tpl->assign("users", $users);
$pagination	= zero::GetPagination("user_browse.php", $request, $num_users, $offset, $limit);
if (count($users))
	if ($num_users / count($users) > 1)
		$smarty_tpl->assign("pagination", $pagination);
$smarty_tpl->assign("search_words", $search_words);
$order1_options = array(0=>"&nbsp;",
												"date_registered"=>"Date registered",
												"email"=>"Email",
												"name"=>"Name",
												"total_tickets"=>"Total tickets"
												);
$order2_options = array ("asc"=>"Ascending", "desc"=>"Descending");
$smarty_tpl->assign("order1_options", $order1_options);
$smarty_tpl->assign("order1", $order1?$order1:0);
$smarty_tpl->assign("order2_options", $order2_options);
$smarty_tpl->assign("order2", $order2);
$smarty_tpl->assign("limit", $limit);
$smarty_tpl->assign("offset", $offset);

$smarty_tpl->assign("page_sub_title", "- Browse Users");
zero::DisplayStaff("user_browse.tpl");

function SortTicketsAsc($a, $b) {
	if ($a["total_tickets"] == $b["total_tickets"])
	  return 0;
  return $a["total_tickets"] > $b["total_tickets"] ? 1:-1;
}
function SortTicketsDesc($a, $b) {
	if ($b["total_tickets"] == $a["total_tickets"])
	  return 0;
  return $b["total_tickets"] < $a["total_tickets"] ? -1:1;
}

?>
