<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Edit language department
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}
if (!zero::IsStaffAdmin()) {
	echo "Page cannot be access. Only admin.<br/><a href=\"index.php\">Home</a>";
	exit;
}

zero::StartSession("Edit Language Department");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Department - edit department");

if (!zero::IsDepartmentExist($department_id))
	zero::Redirect("department_browse.php");
if ($lg==1)
	zero::Redirect("department_edit.php?department_id={$department_id}");

if ($pf == "update") {
	zero::IsEmpty("name", $lang['a_empty_name']);
	zero::IsEmpty("description", $lang['a_empty_description']);
	if (zero::IsError())
	  EndScript();
	zero::UpdateDepartmentLanguage($department_id, $name, $description, $lg);
	$smarty_tpl->assign("success", 1);
}

$department 		= zero::GetDepartment($department_id, $lg);
$department_en 	= zero::GetDepartment($department_id);
ShowData();
$smarty_tpl->assign("page_sub_title", "- Edit Department ( {$department['name']} [{$department['language_str']}] )");
zero::DisplayStaff("department_lang_edit.tpl");

function ShowData() {
	global $smarty_tpl, $department_id, $department, $department_en, $lg;

  $smarty_tpl->assign("language_options", zero::GetLanguageOptions($lg));
	$smarty_tpl->assign("department", $department);
	$smarty_tpl->assign("department_en", $department_en);
	$smarty_tpl->assign("lg", $lg);
	$smarty_tpl->assign("department_id", $department_id);
}

function EndScript() {
	global $smarty_tpl, $errors;
	global $name, $description, $department_id, $lg;

	$department = zero::GetDepartment($department_id, $lg);
	$department_en = zero::GetDepartment($department_id);
	$department['name'] = htmlentities($name);
	$department['description'] = htmlentities($description);
	$smarty_tpl->assign("department", $department);
	$smarty_tpl->assign("department_en", $department_en);
	$smarty_tpl->assign("lg", $lg);
  $smarty_tpl->assign("language_options", zero::GetLanguageOptions($lg));
	$smarty_tpl->assign("department_id", $department_id);
	$smarty_tpl->assign("errors", $errors);
	$smarty_tpl->assign("page_sub_title", "- Edit Department ( {$department['name']} [{$department['language_str']}] )");
	zero::DisplayStaff("department_lang_edit.tpl");
	exit;
}

?>
